const Entity = require('./Entity');
const Types = require('./Types');

/**
 * System entity
 */

class System extends Entity {
    constructor(serviceName) {
        if (!serviceName) {
            throw new Error('Failed to create Auth entity System without a service name');
        }

        super({
            type: Types.SYSTEM,
            serviceName
        });
    }

    _getPartialJson() {
        return Object.assign(super._getPartialJson(), {
            serviceName: this._entity.serviceName,
        });
    }
}


module.exports = System;
